%global githash 0a0c90b7098d8c5b8bc06ecc88459520ad533601
%global shorthash %(echo "%githash" | cut -c -8)
%global tarballhash %(echo "%githash" | cut -c -7)

Name:           gtkparasite
Version:        0.2.0
Release:        0.4.20121121git%{shorthash}%{?dist}
Summary:        A GUI debugging tool for GTK+ applications

Group:          Development/Tools
License:        MIT
URL:            http://chipx86.github.com/gtkparasite/
# wget http://github.com/chipx86/gtkparasite/tarball/%{githash} -O \
# chipx86-gtkparasite-%{githash}.tar.gz
Source0:        chipx86-gtkparasite-%{githash}.tar.gz

BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(pygobject-2.0)
BuildRequires:  pygtk2-devel
BuildRequires:  python-devel
BuildRequires:  autoconf libtool automake
# Calls dlopen() on libpython<version>.so, a symlink which is only in the
# -devel package. https://bugzilla.redhat.com/show_bug.cgi?id=489067
Requires:       python-devel%{?_isa}

%description
Parasite is a debugging and development tool that runs inside your GTK+
application's process. It can inspect your application, giving you detailed
information on your UI, such as the hierarchy, X window IDs, widget
properties, and more. You can modify properties on the fly in order to
experiment with the look of your UI.

Parasite includes an embedded Python shell that lets you write new code that
directly interacts with your application's UI, regardless of the language the
application is written in. Create new dialogs, attach temporary signal
handlers to buttons, test out new logic, and gather additional debug
information.

%prep
%setup -qn chipx86-gtkparasite-%{tarballhash}
autoreconf --force --install

%build
%configure --with-gtk=2.0
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm %{buildroot}%{_libdir}/gtk-2.0/modules/*.a
rm %{buildroot}%{_libdir}/gtk-2.0/modules/*.la

%files
%license COPYING
%{_libdir}/gtk-2.0/modules/libgtkparasite.so

%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.4.20121121git0a0c90b7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.3.20121121git0a0c90b7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.2.20121121git0a0c90b7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 David King <amigadave@amigadave.com> - 0.2.0-0.1.20121121git0a0c90b7
- Update to latest upstream git with GTK+ 2 support
- Require python-devel (#489067)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.15.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.14.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.13.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.12.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0-0.7.20090120git928494e5
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0-0.5.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0-0.2.20090120git928494e5
- Rename package
- Update to latest release
- Drop upstreamed patch

* Mon Jan 19 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0-0.1.gitf485897d
- Initial RPM release
